Package com.oracle.truffle.api.instrument

## Interface Visualizer

All Known Implementing Classes:
  `DefaultVisualizer`

    public interface Visualizer

Visualization services for the benefit of instrumentation-based tools, possibly specialized for each guest language and possibly specialized for relevant information from the underlying Truffle implementation.

Disclaimer: experimental interface under development.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `displayCallTargetName​(CallTarget callTarget)` The name of the method.
`java.lang.String` `displayIdentifier​(FrameSlot slot)` Converts a slot identifier in the guest language to a display string.
`java.lang.String` `displayMethodName​(Node node)` Describes the name of the method containing a node.
`java.lang.String` `displaySourceLocation​(Node node)` A short description of a source location in terms of source + line number.
`java.lang.String` `displayValue​(ExecutionContext context, java.lang.Object value)` Converts a value in the guest language to a display string.
`ASTPrinter` `getASTPrinter()` Gets a printer for Truffle ASTs, possibly specialized to be helpful for a specific guest language implementation.

### Method Detail

#### getASTPrinter

    ASTPrinter getASTPrinter()

Gets a printer for Truffle ASTs, possibly specialized to be helpful for a specific guest language implementation.

#### displaySourceLocation

    java.lang.String displaySourceLocation​(Node node)

A short description of a source location in terms of source + line number.

#### displayMethodName

    java.lang.String displayMethodName​(Node node)

Describes the name of the method containing a node.

#### displayCallTargetName

    java.lang.String displayCallTargetName​(CallTarget callTarget)

The name of the method.

#### displayValue

    java.lang.String displayValue​(ExecutionContext context,
                                  java.lang.Object value)

Converts a value in the guest language to a display string.

#### displayIdentifier

    java.lang.String displayIdentifier​(FrameSlot slot)

Converts a slot identifier in the guest language to a display string.